X = 11                       # Zmienna globalna w module

def g1():
    print(X)                 # Referencja do zmiennej globalnej modułu (11)

def g2():
    global X
    X = 22                   # Modyfikacja zmiennej globalnej modułu

def h1():
    X = 33                   # Zmienna lokalna w funkcji
    def nested():
        print(X)             # Referencja do zmiennej lokalnej w zakresie zawierającym (33)

def h2():
    X = 33                   # Zmienna lokalna w funkcji
    def nested():
        nonlocal X
        X = 44               # Modyfikacja zmiennej lokalnej w zakresie zawierającym

